// Machine generated IDispatch wrapper class(es) created with Add Class from Typelib Wizard

#import "C:\\AlgoStars\\APPs(UAT)\\TCoreRelease\\Components\\TCQuoteWrapperAPI.dll" no_namespace
// CqdiTimeAndSalesItem wrapper class

class CqdiTimeAndSalesItem : public COleDispatchDriver
{
public:
	CqdiTimeAndSalesItem(){} // Calls COleDispatchDriver default constructor
	CqdiTimeAndSalesItem(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	CqdiTimeAndSalesItem(const CqdiTimeAndSalesItem& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

	// Attributes
public:

	// Operations
public:


	// qdiTimeAndSalesItem methods
public:
	long get_ItemIndex()
	{
		long result;
		InvokeHelper(0x1, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_ItemIndex(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x1, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_Date()
	{
		long result;
		InvokeHelper(0x2, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_Date(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x2, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_FilledTime()
	{
		long result;
		InvokeHelper(0x3, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_FilledTime(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x3, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	__int64 get_Bid()
	{
		__int64 result;
		InvokeHelper(0x4, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	void put_Bid(__int64 newValue)
	{
		static BYTE parms[] = VTS_I8 ;
		InvokeHelper(0x4, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	__int64 get_Ask()
	{
		__int64 result;
		InvokeHelper(0x5, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	void put_Ask(__int64 newValue)
	{
		static BYTE parms[] = VTS_I8 ;
		InvokeHelper(0x5, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	__int64 get_TradingPrice()
	{
		__int64 result;
		InvokeHelper(0x6, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	void put_TradingPrice(__int64 newValue)
	{
		static BYTE parms[] = VTS_I8 ;
		InvokeHelper(0x6, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_TradeQuantity()
	{
		long result;
		InvokeHelper(0x7, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_TradeQuantity(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x7, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_TradeVolume()
	{
		long result;
		InvokeHelper(0x8, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_TradeVolume(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x8, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	__int64 get_PreciseTime()
	{
		__int64 result;
		InvokeHelper(0x9, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	void put_PreciseTime(__int64 newValue)
	{
		static BYTE parms[] = VTS_I8 ;
		InvokeHelper(0x9, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}

	// qdiTimeAndSalesItem properties
public:

};
